%define  upstream_name PhpGenerator
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.0.6
Release:	%mkrel 1
Summary:	This component allows you to store an arbitrary data structures to a fixe
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
Provides a simple interface for creating PHP files and executing PHP code.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PhpGenerator.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/PhpGenerator.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/PhpGenerator
fi

%files
%defattr(-,root,root)
%doc docs/PhpGenerator/*
%{peardir}/data/PhpGenerator/design/class_diagram.png
%{peardir}/data/PhpGenerator/design/design.txt
%{peardir}/data/PhpGenerator/design/phpgenerator.png
%{peardir}/data/PhpGenerator/design/phpgenerator.xml
%{peardir}/ezc/PhpGenerator/exceptions/flow_exception.php
%{peardir}/ezc/PhpGenerator/exceptions/php_generator_exception.php
%{peardir}/ezc/PhpGenerator/php_generator.php
%{peardir}/ezc/PhpGenerator/php_generator_autoload.php
%{peardir}/ezc/PhpGenerator/structs/php_generator_parameter.php
%{peardir}/ezc/PhpGenerator/structs/php_generator_return_data.php
%{peardir}/ezc/autoload/php_generator_autoload.php
%{xmldir}/PhpGenerator.xml


%changelog
* Sun Jul 17 2011 spuhler <spuhler> 1.0.6-1.mga2
+ Revision: 125087
- imported package ezcomponents-PhpGenerator

